Package com.arms.api.analysis.resource.service

## Interface ResourceService

- All Known Implementing Classes:
    `ResourceServiceImpl`

      public interface ResourceService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.List<TreemapExcelVO>` | `assigneeRequirementInvolvementDetailData​(ResourceWithVersionIdNamesDTO resourceWithVersionIdNamesDTO)` |
    `java.util.List<UniqueAssigneeVO>` | `findAssigneesInfoData​(ResourceDTO resourceDTO)` |
    `java.util.List<HorizontalBarChartYAxisAndSeriesVO>` | `findHorizontalBarChartData​(ResourceDTO resourceDTO)` |
    `ReqAndNotReqHorizontalBarChartVO` | `findHorizontalBarChartDataBySameAccounts​(ResourceDTO resourceDTO)` |
    `ReqAndNotReqPieChartVO` | `findPieChartData​(ResourceDTO resourceDTO)` |
    `TotalIssueAndPieChartVO` | `findPieChartDataExpand​(ResourceDTO resourceDTO)` |
    `java.util.List<TreeMapWorkerVO>` | `findTreeMapChartDataV3​(ResourceWithVersionIdNamesDTO resourceWithVersionIdNamesDTO)` |
    `java.util.List<WordCloudVO>` | `findWordCloudData​(ResourceDTO resourceDTO)` |
    `java.util.List<UniqueAssigneeIssueStatusVO>` | `issueStatusDataByAssignee​(ResourceDTO resourceDTO)` |
    `StackedHorizontalBarChartVO` | `issueStatusStackedBarChartData​(ResourceDTO resourceDTO)` |
    `SankeyData` | `sankeyChartAPIWithTopN​(ResourceDTO resourceDTO, java.lang.Integer topN)` |

- - ### Method Detail

    - #### issueStatusDataByAssignee

          java.util.List<UniqueAssigneeIssueStatusVO> issueStatusDataByAssignee​(ResourceDTO resourceDTO)

    - #### sankeyChartAPIWithTopN

          SankeyData sankeyChartAPIWithTopN​(ResourceDTO resourceDTO,
                                            java.lang.Integer topN)
                                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### findTreeMapChartDataV3

          java.util.List<TreeMapWorkerVO> findTreeMapChartDataV3​(ResourceWithVersionIdNamesDTO resourceWithVersionIdNamesDTO)
                                                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### assigneeRequirementInvolvementDetailData

          java.util.List<TreemapExcelVO> assigneeRequirementInvolvementDetailData​(ResourceWithVersionIdNamesDTO resourceWithVersionIdNamesDTO)
                                                                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### findAssigneesInfoData

          java.util.List<UniqueAssigneeVO> findAssigneesInfoData​(ResourceDTO resourceDTO)
                                                          throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### findWordCloudData

          java.util.List<WordCloudVO> findWordCloudData​(ResourceDTO resourceDTO)

    - #### issueStatusStackedBarChartData

          StackedHorizontalBarChartVO issueStatusStackedBarChartData​(ResourceDTO resourceDTO)

    - #### findPieChartData

          ReqAndNotReqPieChartVO findPieChartData​(ResourceDTO resourceDTO)

    - #### findPieChartDataExpand

          TotalIssueAndPieChartVO findPieChartDataExpand​(ResourceDTO resourceDTO)

    - #### findHorizontalBarChartData

          java.util.List<HorizontalBarChartYAxisAndSeriesVO> findHorizontalBarChartData​(ResourceDTO resourceDTO)

    - #### findHorizontalBarChartDataBySameAccounts

          ReqAndNotReqHorizontalBarChartVO findHorizontalBarChartDataBySameAccounts​(ResourceDTO resourceDTO)